﻿/* from MainLayout */
.page {
    width: 1140px;
    padding-left: 0px;
    padding-right: 0px;
    justify-content: center;
    margin-right: auto;
    margin-left: auto;
    overflow-x: hidden; /*AG 2024 Dez. : geändert von Scroll auf Hidden*/ 
    min-width: 800px;
    background-color: #F4F3F4;
}

.navbar-brand {
    color: #303030;
    width: 12rem;
}

main {
    background-color: #FAFAFA;
}

    main > .content {
        display: flex;
        overflow-y: auto;
        height: calc(100vh - 6rem);
        padding: 0px;
        /*margin-bottom: 2.5rem;*/
    }

.oi {
    width: 1.3rem;
    font-size: 1.0rem;
    vertical-align: text-top;
    color: #202020;
    top: -2px;
}


/* from NavMenu */
.menu-row {
    background-color: #FFFFFF;
    padding: 0.7rem;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

    .menu-row a, .menu-row .btn-link {
        white-space: nowrap;
        margin-left: 1rem;
    }

        .menu-row a:first-child {
            overflow: hidden;
            text-overflow: ellipsis;
        }


.nav-item {
    font-size: 1rem;
    padding-bottom: 0rem;  
    margin-bottom: 0.3rem;
}

    .nav-item:first-of-type {
        padding-top: 0rem;
    }

    .nav-item:last-of-type {
        padding-bottom: 0rem;
    }

    .nav-item a {
        color: #404040;
        background-color: transparent;
        border-radius: 4px;
        height: 2rem;
        display: flex;
        align-items: center;
        line-height: 1.1rem;
        margin-left: 3px;
    }

        .nav-item a.active {
            /*color: darkorange;*/
            font-weight: bold;
            background-color: #404040 !important;
            border-radius: 4px;
        }

       /* .nav-item a:active {
            color: red;
            background-color: #D1D1D1;
        }*/

        .nav-item a:focus {
            color: #303030;
        }

        .nav-item a:hover {
            /*color: #202020;
            background-color: #D1D1D1;*/
            color: #FFFFFF;
            background-color: #545454;
        }

    .nav2-item {
    /*font-size: 0.9rem;*/
    font-size: 14px;
    padding-bottom: 0.5rem;
}

        .nav2-item a {
            padding-left: 6px;
            color: #d7d7d7;
            border-radius: 4px;
            height: 2.4rem;
            display: flex;
            align-items: center;
            line-height: 1.1rem;
            text-decoration: none;            
        }

        .nav2-item a.active {
            background-color: rgba(255,255,255,0.25);
            color: white;
        }

        .nav2-item a:hover {
            background-color: rgba(255,255,255,0.1);
            color: white;
        }

.special-nav-item {
    color: #FFFFFF !important;
    background-color: #622f63 !important;
    border-radius: 4px;
    height: 2rem;
    display: flex;
    align-items: center;
    line-height: 2rem;
    margin-left: 3px;
}
    .special-nav-item:active {
        color: #FFFFFF;
        background-color: #622f63;
        font-weight: bold;
        border-radius: 0;
        border-bottom: solid 2px #FFFFFF;
    }

    .special-nav-item:focus {
        background-color: #FFFFFF !important;
        color: #444444 !important;
    }

    .special-nav-item:hover {
        color: #444444 !important;
        background-color: #FFFFFF !important;
        border: solid 1px #444444;
    }

/* From bottom.razor */

.bottom-row {
    /*    padding: 0.3rem 1.25rem;
    bottom: 0;*/
    background-color: transparent;
}

    .bottom-row .list-item {
        background-color: transparent;
        position: relative;
        text-decoration: none;
        color: #212121;
        border: none;
        display: flex;
    }

    .bottom-row .fs-s {
        font-size: small;
        padding: 0 0.5rem;
    }

    .bottom-row .fs-xs {
        font-size: 0.8rem;
        padding: 0 0.5rem;
    }
/* From site.css */

@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    /*background-color: #DADADA;*/
}

/*h1:focus {
    outline: none;
}*/
h1:focus {
    /*outline: 1px solid white !important;
    Funktioniert, aber zunächst ausgestellt, weil ggf. störend*/
}
h2:focus {
    outline: 1px solid transparent !important;
    /*Überschreibt eine Umrandung in schwarz, die ggf. vom System kommt*/
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.bg-uba-gruen {
    background-color: #5EAD35;
}

.fg-uba-gruen {
    color: #5EAD35;
}

.bg-uba-dunkelgruen {
    background-color: #007626;
}

.fg-uba-dunkelgruen {
    color: #007626;
}

.bg-uba-hellgrau {
    background-color: #f0f1f1;
}

.fg-uba-hellgrau {
    color: #f0f1f1;
}

.bg-uba-dunkelgrau {
    background-color: #4b4b4d;
}

.fg-uba-dunkelgrau {
    color: #4b4b4d;
}

.bg-uba-blau {
    background-color: #0b90d5;
}

.fg-uba-blau {
    color: #0b90d5;
}

.bg-uba-dunkelblau {
    background-color: #005f85;
}

.fg-uba-dunkelblau {
    color: #005f85;
}

.bg-uba-ocker {
    background-color: #fabb00;
}

.fg-uba-ocker {
    color: #fabb00;
}

.bg-uba-dunkelocker {
    background-color: #d68300;
}

.fg-uba-dunkelocker {
    color: #d68300;
}

.bg-uba-fuchsia {
    background-color: #ce1f5e;
}

.fg-uba-fuchsia {
    color: #ce1f5e;
}

.bg-uba-dunkelfuchsia {
    background-color: #83053c;
}

.fg-uba-dunkelfuchsia {
    color: #83053c;
}

.bg-uba-flieder {
    background-color: #9d579a;
}

.fg-uba-flieder {
    color: #9d579a;
}

.bg-uba-dunkelflieder {
    background-color: #622f63;
}

.fg-uba-dunkelflieder {
    color: #622f63;
}

.EvalWhite {
    background-color: white;
}

.EvalRed {
    color: white;
    background-color: red;
}

.EvalGreen {
    color: white;
    background-color: green;
}

.EvalYellow {
    color: black;
    background-color: #FEDB00;
}

.EvalPink {
    color: black;
    background-color: pink;
}

.EvalLightBlue {
    color: black;
    background-color: lightblue;
}

.EvalGray {
    color: white;
    background-color: #606060;
}

.EvalTransparent {
    color: black;
    background-color: transparent;
}


